#include "mainwindow.h"
#include <QApplication>
#include <QSurfaceFormat>

int main(int argc, char *argv[])
{
    QSurfaceFormat format;
    format.setMajorVersion(3);
    format.setMinorVersion(2);
    format.setOption(QSurfaceFormat::DebugContext);
    format.setProfile(QSurfaceFormat::OpenGLContextProfile::CoreProfile);
    QSurfaceFormat::setDefaultFormat(format);

    QApplication a(argc, argv);
    a.setOrganizationName("nou");
    a.setApplicationName("Tenmon");
    a.setWindowIcon(QIcon(":/icon.png"));

    MainWindow w;
    w.show();

    return a.exec();
}
